summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 128aed6)
raw | patch | inline | side by side (parent: 128aed6)
author | Junio C Hamano <junkio@cox.net> | |
Thu, 8 Dec 2005 05:52:28 +0000 (21:52 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Thu, 8 Dec 2005 06:05:05 +0000 (22:05 -0800) |
Otherwise the test will not succeed without installing.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index f2eccd79180deeb2283d60c00c12bc623f4e8317..0539dacc1c2bcce02a5f64a8c61571eabd9a7607 100755 (executable)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
# t/ subdirectory and are run in trash subdirectory.
PATH=$(pwd)/..:$PATH
GIT_EXEC_PATH=$(pwd)/..
-export GIT_EXEC_PATH
+export PATH GIT_EXEC_PATH
+
+# Similarly use ../compat/subprocess.py if our python does not
+# have subprocess.py on its own.
+PYTHON=`sed -e '1{
+ s/^#!//
+ q
+}' ../git-merge-recursive` &&
+"$PYTHON" -c 'import subprocess' 2>/dev/null || {
+ PYTHONPATH=$(pwd)/../compat
+ export PYTHONPATH
+}
# Test repository
test=trash